Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.tags
Class Resources

    java.lang.Object
      org.apache.commons.jelly.tags.Resources

    public class Resources

extends java.lang.Object

Provides locale-neutral access to string resources. Only the documentation and code are in English. :-)

The major goal, aside from globalization, is convenience. Access to resources with no parameters is made in the form:

         Resources.getMessage(MESSAGE_NAME);

Access to resources with one parameter works like

         Resources.getMessage(MESSAGE_NAME, arg1);

... and so on.

Author:
  Shawn Bayern

Constructor Summary
`Resources()`

Method Summary
`static java.lang.String` | `getMessage(java.lang.String name)` Retrieves a message with no arguments.
`static java.lang.String` | `getMessage(java.lang.String name, java.lang.Object a1)` Retrieves a message with one argument.
`static java.lang.String` | `getMessage(java.lang.String name, java.lang.Object[] a)` Retrieves a message with arbitrarily many arguments.
`static java.lang.String` | `getMessage(java.lang.String name, java.lang.Object a1, java.lang.Object a2)` Retrieves a message with two arguments.
`static java.lang.String` | `getMessage(java.lang.String name, java.lang.Object a1, java.lang.Object a2, java.lang.Object a3)` Retrieves a message with three arguments.
`static java.lang.String` | `getMessage(java.lang.String name, java.lang.Object a1, java.lang.Object a2, java.lang.Object a3, java.lang.Object a4)` Retrieves a message with four arguments.
`static java.lang.String` | `getMessage(java.lang.String name, java.lang.Object a1, java.lang.Object a2, java.lang.Object a3, java.lang.Object a4, java.lang.Object a5)` Retrieves a message with five arguments.
`static java.lang.String` | `getMessage(java.lang.String name, java.lang.Object a1, java.lang.Object a2, java.lang.Object a3, java.lang.Object a4, java.lang.Object a5, java.lang.Object a6)` Retrieves a message with six arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Resources

    public Resources()

Method Detail

### getMessage

    public static java.lang.String getMessage(java.lang.String name)
                                       throws java.util.MissingResourceException

  Retrieves a message with no arguments.

  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String name,
                                              java.lang.Object[] a)
                                       throws java.util.MissingResourceException

  Retrieves a message with arbitrarily many arguments.

  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String name,
                                              java.lang.Object a1)
                                       throws java.util.MissingResourceException

  Retrieves a message with one argument.

  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String name,
                                              java.lang.Object a1,
                                              java.lang.Object a2)
                                       throws java.util.MissingResourceException

  Retrieves a message with two arguments.

  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String name,
                                              java.lang.Object a1,
                                              java.lang.Object a2,
                                              java.lang.Object a3)
                                       throws java.util.MissingResourceException

  Retrieves a message with three arguments.

  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String name,
                                              java.lang.Object a1,
                                              java.lang.Object a2,
                                              java.lang.Object a3,
                                              java.lang.Object a4)
                                       throws java.util.MissingResourceException

  Retrieves a message with four arguments.

  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String name,
                                              java.lang.Object a1,
                                              java.lang.Object a2,
                                              java.lang.Object a3,
                                              java.lang.Object a4,
                                              java.lang.Object a5)
                                       throws java.util.MissingResourceException

  Retrieves a message with five arguments.

  Throws:
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String name,
                                              java.lang.Object a1,
                                              java.lang.Object a2,
                                              java.lang.Object a3,
                                              java.lang.Object a4,
                                              java.lang.Object a5,
                                              java.lang.Object a6)
                                       throws java.util.MissingResourceException

  Retrieves a message with six arguments.

  Throws:
    `java.util.MissingResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.